install:
	ionic cordova plugin add cordova-plugin-local-notification
	npm install --save @ionic-native/local-notifications
	npm install --save @ionic-native/background-mode
	npm install --save @ionic-native/app-minimize
	npm install --save @ionic-native/core
	npm install --save @capacitor/core

android:
	ionic build
	sudo archlinux-java set java-8-openjdk
	ANDROID_SDK_ROOT=/home/mal/Android/Sdk JAVA_HOME=/usr/lib/jvm/java-8-openjdk/ ionic cordova build android
	sudo archlinux-java set java-11-openjdk

deployment:
	read VERSION
	cp platforms/android/app/build/outputs/apk/debug/app-debug.apk '/run/user/1000/gvfs/mtp:host=Fairphone_FP2_ff87fc9d/Interner gemeinsamer Speicher/bluetooth/metasocket-${VERSION}.apk'

deploy-debug:
	scp /home/mal/Code/Ionic/metasocket-cordova/platforms/android/app/build/outputs/apk/debug/app-debug.apk sabolli:/home/mal/webserver/wow/metasocket/download/android
